public class Ember {
	/**
	 * Ember teljes neve
	 */
	private String nev;

	/**
	 * Ember kora, evekben
	 */
	private int kor;

	/*
	 * Statikus valtozo segitsegevel szamon tarthatjuk, hany darab objektum
	 * letezik az adott osztalybol. Esetlegesen valamifele korlatozasokkal is
	 * elhetunk (pl.: 10-nel nem lehet tobb embert letrehozni).
	 */
	private static int darabszam = 0;

	/*
	 * Statikus metodusokat objektum peldany letezese nelkul is meghivhatunk. De
	 * a statikus metodusok csak statikus valtozokat es parametereket
	 * hasznalhatnak.
	 */
	public static void hanyDarab() {
		System.out.println("Jelenleg " + darabszam + " ember letezik!");
	}

	/**
	 * Default konstruktor az Ember osztalyra
	 */
	public Ember() {
		this.nev = "Nincs nv";
		this.kor = 0;
		darabszam++;
	}

	/**
	 * Parameteres konstruktor az Ember osztalyra
	 * @param nev Az ember neve
	 * @param kor Az ember kora, evekben
	 */
	public Ember(String nev, int kor) {
		this.nev = nev;
		this.kor = kor;
		darabszam++;
	}

	/**
	 * Az adott ember beszl!
	 */
	public void beszel() {
		System.out.println(nev + " beszel!");
	}

	public String getNev() {
		return nev;
	}

	public void setNev(String nev) {
		this.nev = nev;
	}

	public int getKor() {
		return kor;
	}

	public void setKor(int kor) {
		this.kor = kor;
	}

}
